curl --request POST \
--url https://api.autype.com/api/v1/dev/styles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Corporate Blue",
"definition": {},
"orgId": "550e8400-e29b-41d4-a716-446655440000",
"description": "Company branding style",
"isDefault": false
}
'import requests
url = "https://api.autype.com/api/v1/dev/styles"
payload = {
"name": "Corporate Blue",
"definition": {},
"orgId": "550e8400-e29b-41d4-a716-446655440000",
"description": "Company branding style",
"isDefault": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Corporate Blue',
definition: {},
orgId: '550e8400-e29b-41d4-a716-446655440000',
description: 'Company branding style',
isDefault: false
})
};
fetch('https://api.autype.com/api/v1/dev/styles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"name": "Corporate Blue",
"definition": {},
"isDefault": false,
"version": 1,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"orgId": "550e8400-e29b-41d4-a716-446655440000",
"description": "Company branding style"
}Create an organization style preset
Authorizations
Short-lived, Developer-API-audience token obtained by the trusted MCP service through token exchange (mcp_at_...). Raw MCP resource tokens are rejected.
Body
Style preset name
"Corporate Blue"
Reusable style definition. Supports all Defaults fields and may include an optional document object for page defaults such as size, margins, and orientation.
Organization that owns the style preset. May be omitted only when the current user belongs to exactly one organization.
"550e8400-e29b-41d4-a716-446655440000"
"Company branding style"
Whether this is the default style preset for the organization. Organization management permission is required.
false
Response
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
"Corporate Blue"
Reusable style definition. Supports all Defaults fields and may include an optional document object for page defaults such as size, margins, and orientation.
false
1
"2024-01-01T00:00:00.000Z"
"2024-01-01T00:00:00.000Z"
"550e8400-e29b-41d4-a716-446655440000"
"Company branding style"
